Files
apfstests/092
T

49 lines
967 B
Bash
Raw Normal View History

#! /bin/sh
# FS QA Test No. 092
#
2009-01-19 04:49:43 +01:00
# Make sure that we can mount inode64 filesystems
#
#-----------------------------------------------------------------------
# Copyright (c) 2000-2004 Silicon Graphics, Inc. All Rights Reserved.
#-----------------------------------------------------------------------
#
# creator
owner=nathans@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=1 # failure is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd /
rm -f $tmp.*
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
# real QA test starts here
# Modify as appropriate.
_supported_fs xfs
_supported_os IRIX Linux
_require_scratch
_require_nobigloopfs
MOUNT_OPTIONS="$MOUNT_OPTIONS -o inode64"
_scratch_mkfs_xfs | _filter_mkfs 2>/dev/null
echo Silence is golden
_scratch_mount
[ $? -eq 0 ] || echo "inode64 mount failed unexpectedly!"
# success, all done
status=0
exit